REST APIWallet & TransactPending approval

GET

Query Params

  • prevId string
    Return the next batch of results, based on the nextBatchPrevId value from the previous batch.

    matches ^[0-9a-f]{32}$

  • limit integer
    Maximum number of results to return. If the result set is truncated, use the nextBatchPrevId value to get the next batch.

    >= 1 · <= 500

    Defaults to 25

  • coin array of strings
    Filter by coin
  • enterpriseId string
    Filter by enterprise

    matches ^[0-9a-f]{32}$

  • organizationId string
    Filter by organization

    matches ^[0-9a-f]{32}$

  • requestType string enum
    Filter by request type. The default behavior is to return all request types.
    enterpriseInviteRequestgenericRequestpolicyRuleRequesttransactionRequesttransactionRequestFullupdateApprovalsRequiredRequestupdateEnterpriseRequestupdateOrganizationRequestuserChangeRequest
  • state array of string enums
    Filter by state. The default behavior is to return objects where state is awaitingSignature, pending, or pendingFinalApproval
    pendingawaitingSignaturependingFinalApprovalpendingCustodianApprovalpendingVideoApprovalpendingIdVerification
  • walletId string
    Filter by wallet

    matches ^[0-9a-f]{32}$

  • expandWalletLabels boolean
    True, if adding walletLabel to each returned pending approval associated with a wallet
  • expandAddressLabels boolean
    If true, adds addressLabels to each returned pending approval associated with recipient's addresses

Responses

200
OK

Response Body

object

  • pendingApprovals array of objects
    pendingApprovals object
    • id string

      matches ^[0-9a-f]{32}$

    • coin string
      A cryptocurrency or token ticker symbol.
    • wallet string

      matches ^[0-9a-f]{32}$

    • enterprise string

      matches ^[0-9a-f]{32}$

    • organization string

      matches ^[0-9a-f]{32}$

    • creator string

      matches ^[0-9a-f]{32}$

    • createDate string date-time
    • info object

      ANY OF

      • transactionRequest object
        transactionRequest object
        • buildParams object
        • coinSpecific object
        • comment string
        • fee string or integer
        • isUnsigned boolean
        • recipients array of objects
          recipients object
          • address string

            up to 500 characters

          • amount string or integer
          • data string
        • requestedAmount object
          requestedAmount object
          • Same shape as IntegerOrIntegerString.
        • sourceWallet string

          matches ^[0-9a-f]{32}$

        • triggeredPolicy string

          matches ^[0-9a-f]{32}$

        • validTransaction string
        • validTransactionHash string
      • type string enum
        transactionRequest
    • state string

      ANY OF

      string enum

    • scope string enum
      What kind of entity the Pending Approval is tied to
      enterprisewallet
    • userIds array of strings
      All the Users who should see this Pending Approval
    • approvalsRequired integer

      >= 1

    • walletLabel string
    • resolvers array of objects
      resolvers object
      • user string required
      • date string required
      • resolutionType string enum required
        approvedawaitingSignaturependingpendingBitGoAdminApprovalpendingCryptographicApprovalpendingCustodianApprovalpendingFinalApprovalpendingIdVerificationpendingVideoApprovalprocessingrejected
      • signatures array of strings required
      • videoApprover string
      • videoLink string
      • videoException string
    • addressLabels array of objects
      addressLabels object
      • address string required

        up to 500 characters

      • label string nullable required
        A human-readable label for the address.

        up to 250 characters

      • walletLabel string